﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Exercise_10_1
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.Write("Bitte geben Sie ein Wort ein: ");
            var inputText = Console.ReadLine();

            if (IsPalindrom(inputText))
                Console.WriteLine("Das Wort ist ein Palindrom");
            else
                Console.WriteLine("Das Wort ist kein Palindrom");

            Console.ReadKey();
        }

        //Checks if input is a palindrom
        private static bool IsPalindrom(string inputText)
        {
            //Empty input
            if (string.IsNullOrEmpty(inputText))
                return false;

            //easier handling ignoring case sensitive words
            inputText = inputText.ToLower();

            var currentLength = inputText.Length - 1;

            //iterate from left and right and check each character for equality
            for (int i = 0; i <= inputText.Length / 2; i++)
            {
                if(inputText[i] != inputText[currentLength])
                    return false;

                currentLength--;
            }

            return true;
        }
    }
}
