﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Exercise_10_2
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.Write("Bitte geben Sie ein Wort ein: ");

            var inputText = Console.ReadLine();

            var filteredCharacters = GetCharacterInfo(inputText);

            Console.WriteLine("Symbol\tHäufigkeit");

            foreach (var characterInfo in filteredCharacters)
                Console.WriteLine("{0}\t{1}", characterInfo.Key, characterInfo.Value);

            Console.ReadKey();
        }

        //Gets all infos about characters and their amount
        private static Dictionary<char, uint> GetCharacterInfo(string inputText)
        {
            var filteredCharacters = new Dictionary<char, uint>();

            for (int i = 0; i < inputText.Length; i++)
            {
                if (!filteredCharacters.Keys.Contains(inputText[i]))
                    filteredCharacters.Add(inputText[i], 1);
                else
                    filteredCharacters[inputText[i]]++;
            }
            return filteredCharacters;
        }
    }
}
