﻿using System.Windows;


namespace WpfPersonDataExampleApplication
{
  /// <summary>
  /// Interaktionslogik für MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window
  {
    public MainWindow()
    {
      InitializeComponent();

      //Create person
      Person person = new Person();
      this.DataContext = person;
    }


    private void ButtonAccept_Click(object aSender, RoutedEventArgs aE)
    {
      try
      {
        //Save current person
        Person currentPerson = DataContext as Person;
        currentPerson.Save();

        MessageBox.Show("Person saved");
      }
      catch
      {
        //Error occured
        MessageBox.Show("Error occured during save process");
      }
    }


    private void ButtonCancel_Click(object aSender, RoutedEventArgs aE)
    {
      //Close application
      Close();
    }
  }
}
