﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;

namespace WpfPersonDataExampleApplication
{
  internal sealed class RequiredFieldValidationRule : ValidationRule
  {
    public override ValidationResult Validate(object value, System.Globalization.CultureInfo cultureInfo)
    {
      var inputText = (string)value;
      return string.IsNullOrEmpty(inputText) ? new ValidationResult(false, "Input could not be empty") : ValidationResult.ValidResult;
    }
  }
}
