﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Exercise_4
{
    public class Complex
    {
        #region fields
        //Defines the real and imaginary parts
        private double _real, _imaginary;
        #endregion

        #region Constructors
        public Complex(double real, double imaginary)
        {
            _real = real;
            _imaginary = imaginary;

            //Count instances
            InstanceCounter++;
        }
        #endregion


        #region Methods
        public Complex Add(Complex complex)
        {
            return new Complex(_real + complex._real, _imaginary + complex._imaginary);
        }

        public override string ToString()
        {
            return string.Format("{0} + {1}i", _real, _imaginary);
        }
        #endregion

        #region Properties
        public static uint InstanceCounter
        {
            private set;
            get;
        }
        #endregion
    }
}
