﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace NewsletterConsoleApplication
{
    public class Subscriber
{
  private CinemaSystem _cinemaSystem;

  //Ereignisbehandlungsmethode
  private void HandleReceivedNewsletter(object sender, NewsletterEventArgs e)
  {
    Console.WriteLine("Newsletter erhalten: " + e.CurrentNewsletter.Content);
  }

  public Subscriber(CinemaSystem cinemaSystem)
  {
    _cinemaSystem = cinemaSystem;
  }

  public void Subscribe()
  {
    _cinemaSystem.NewsletterReceived += new  
    NewsletterEventHandler(HandleReceivedNewsletter);
  }

  public void Unsubscribe()
  {
    _cinemaSystem.NewsletterReceived -= new  
    NewsletterEventHandler(HandleReceivedNewsletter);
  }
}

}
