﻿using System;
using System.IO;

namespace ConsoleExample
{
  class Program
  {
    static void Main(string[] args)
    {
      Console.Title = "ConsoleLogger";

      ConsoleKeyInfo pressedKey;
      FileStream stream = new FileStream("C:\\ConsoleLog.txt", FileMode.Create, FileAccess.Write);
      StreamWriter output = new StreamWriter(stream);
      var standardConsoleStream = Console.Out;

      do
      {    
        Console.Write("Geben Sie einen Text ein: ");
        Console.SetOut(output);

        var input = Console.ReadLine();
        Console.WriteLine(input);
        
        output.Flush();
        
        Console.SetOut(standardConsoleStream);
        pressedKey = Console.ReadKey(true);
      }
      while (pressedKey.Key != ConsoleKey.Escape);

      output.Close();
      stream.Close();
      output.Dispose();
      stream.Dispose();
    }
  }
}
