﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Windows;
using CMA.MovieRentalStore.EnterpriseModel.Logging;

namespace CMA.MovieRentalStore.Presentation
{
    /// <summary>
    /// Codebehind für App
    /// </summary>
    public partial class App : Application
    {
        #region Methods
        private void UnexpectedException_Occured(object sender, System.Windows.Threading.DispatcherUnhandledExceptionEventArgs e)
        {
            //Eine unerwartete und nicht abgefangene Ausnahme ist aufgetreten.
            //Diese wird dem Anwender mitgeteilt und die Ausnahme in die Log-Datei geschrieben
            MessageBox.Show("Ein unerwarteter Fehler ist aufgetreten.\r\nDie Anwendung muss beendet werden", "Unerwarteter Fehler",
                MessageBoxButton.OK, MessageBoxImage.Error);
            
            ExceptionLogger.LogException(e.Exception);

            e.Handled = true;
        }
        #endregion
    }
}
