﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PersonnelManagement
{
    public partial class Person
    {
        protected int _daysPerWeek = 5;
        protected int _hoursPerWeek = 40;

        protected Person(string firstName, string lastName, string address, int age, decimal hourlyRate)
        {
            FirstName = firstName;
            LastName = lastName;
            Address = address;
            Age = age;
            HourlyRate = hourlyRate;
        }

        public Person(){}

        public virtual decimal CalculateSalary()
        {
            return (_hoursPerWeek * _daysPerWeek * HourlyRate);
        }
    }
}
