﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using CMA.MovieRentalStore.EnterpriseModel;

namespace CMA.MovieRentalStore.Presentation.Converters
{
    public class MovieConverter : IValueConverter
    {
        #region Methods
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            //Konvertiert eine Liste von Filmen in eine Liste mit Titeln der Filme

            var movies = value as IEnumerable<DVD>;

            if (movies == null)
                return string.Empty;

            var temporaryMovies = new List<string>();

            foreach (var movie in movies)
                temporaryMovies.Add(movie.Title);

            return temporaryMovies;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
        #endregion
    }
}
