﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Exercise_3_3
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.Write("Bitte geben Sie eine Zahl als Grenzwert an: ");

            var input = Console.ReadLine();
            int result;

            //invalid input
            if(!int.TryParse(input, out result) || result <= 2)
            {
                Console.WriteLine("Ungültiger Wert eingegeben");
                return;
            }

            //outer loop is for range of numbers
            for(int i = 1; i <= result; i++)
            {
                //even numbers could not be prime numbers
                if (i % 2 != 0)
                {
                    //loop through filter
                    for (int j = 3; j <= i; j++)
                    {
                        //if only two results are given
                        if (i % j == 0)
                        {
                            Console.WriteLine("Primzahl ist: {0} ", i);
                            break;
                        }
                    }
                }
            }

            Console.ReadKey();
        }
    }
}
